%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  matrixcalc
%global packver   1.0-6
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          1.0.6
Release:          1%{?dist}%{?buildtag}
Summary:          Collection of Functions for Matrix Calculations

License:          GPL (>= 2)
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel >= 2.0.1
Requires:         R-core >= 2.0.1
BuildArch:        noarch

%description
A collection of functions to support matrix calculations for probability,
econometric and numerical analysis. There are additional functions that
are comparable to APL functions which are useful for actuarial models such
as pension mathematics. This package is used for teaching and research
purposes at the Department of Finance and Risk Engineering, New York
University, Polytechnic Institute, Brooklyn, NY 11201. Horn, R.A. (1990)
Matrix Analysis. ISBN 978-0521386326. Lancaster, P. (1969) Theory of
Matrices. ISBN 978-0124355507. Lay, D.C. (1995) Linear Algebra: And Its
Applications. ISBN 978-0201845563.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
